## zlib 1.2.12.1

=== debian/changelog ===
zlib (1:1.2.12.1-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: bab1386d6bf908890bb36aa2457e7f4eb67f65a3']

 -- shuttle <shuttle@deepin.com>  Wed, 17 Jun 2020 13:28:07 +0000
