## zlib 1.2.12.5

=== debian/changelog ===
zlib (1:1.2.12.5-1+dde) unstable; urgency=medium

  * Fix CVE-2022-37434

 -- zhaochengyi <zhaochengyi@uniontech.com>  Thu, 27 Oct 2022 19:29:06 +0800

zlib (1:1.2.12.4-1+dde) unstable; urgency=low

  * update changelog

 -- yuxiaoping <yuxiaoping@uniontech.com>  Fri, 5 Apr 2022 18:20:23 +0800

zlib (1:1.2.12.3-1+dde) unstable; urgency=low

  * Add CVE-2018-25032 patch

 -- yuxiaoping <yuxiaoping@uniontech.com>  Wed, 14 Apr 2022 11:30:23 +0800

zlib (1:1.2.12.2-1+dde) unstable; urgency=low

  * Add update-patch-from-huawei-to-fix-crc32-hash-error.patch

 -- caitongxun <caitongxun@uniontech.com>  Sun, 07 Feb 2021 15:16:23 +0800
