=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), arm64))
-	CFLAGS += -DCRC32_ARMV8_CRC32 -DHASH_ARMV8_CRC32 -march=armv8-a+crc -DUNALIGNED_OK -DADLER32_SIMD_NEON -DSLIDE_HASH_NEON -DINFLATE_CHUNK_SIMD_NEON
+	CFLAGS += -DCRC32_ARMV8_CRC32 -march=armv8-a+crc -DUNALIGNED_OK -DADLER32_SIMD_NEON -DSLIDE_HASH_NEON -DINFLATE_CHUNK_SIMD_NEON -O3
 endif
 
 ifneq (,$(findstring s390x, $(DEB_HOST_ARCH)))
