## zlib 1.2.13.dfsg

=== debian/changelog ===
zlib (1:1.2.13.dfsg-1ubuntu5) mantic; urgency=medium

  * Add
    d/p/lp-2018293-fix-crash-in-deflateBound-if-called-before-deflateInt.patch
    to avoid potential deflateBound() function crash on s390x.
  * Clean-up and remove
    d/p/lp1932010-ibm-z-add-vectorized-crc32-implementation.patch since it was
    replaced by d/p/s390x-vectorize-crc32.patch with 1.2.13.dfsg-1ubuntu3
    but was still in d/p/ (but not in d/p/series). 

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 02 Aug 2023 13:22:26 +0200

zlib (1:1.2.13.dfsg-1ubuntu4) lunar; urgency=medium

  * Add d/p/1390.patch to not update strm.adler for raw streams on s390x 
    (DFLTCC), otherwise libxml2 gets broken on s390x. LP: #2002511

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 11 Jan 2023 18:02:34 +0100

zlib (1:1.2.13.dfsg-1ubuntu3) lunar; urgency=medium
  
  * Re-add vectorized crc32 support for s390x by adding
    d/p/s390x-vectorize-crc32.patch
    (crc32vx-v4: s390x: vectorize crc32). (LP: #1998470)
    This replaces the previously dropped patch:
    lp1932010-ibm-z-add-vectorized-crc32-implementation.patch
  * Remove option '--crc32-vx' for s390x in d/rules, that was previously just
    commented out, since it's no longer needed with the new s390x crc32 code.
  * Update d/p/410.patch to version 26f2c0a4e17e5558d779797d713aa37ebaeef390
    due to unused "const char *endptr;".

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 21 Nov 2022 20:28:58 +0100

zlib (1:1.2.13.dfsg-1ubuntu2) lunar; urgency=medium

  * Comment out use of --crc32-vx on s390x, since this is currently not
    implemented due to the dropped patch that needs porting.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 Nov 2022 17:06:45 +0000

zlib (1:1.2.13.dfsg-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build x32 packages
    - debian/zlib-core.symbols: Drop dfsg suffix from version
    - Add watch file, with GPG tarball checking, and version mangling
    - Cherrypick PR#410 to enable hardware-accelerated deflate.
    - Copmile with DFLTCC enabled on s390x.
    - Enable hardware compression on s390x at level 6.
    - d/rules: use configure options for dfltcc instead of hardcoding
       the CFLAGS
  * Dropped changes, included upstream:
    - Cherry-pick Permit-a-deflateParams-parameter-change-asap.patch
    - debian/patches/CVE-2018-25032-2.patch: assure that the number of bits
      for deflatePrime() is valid in deflate.c.
  * Pull rebased 410.patch from https://github.com/madler/zlib/pull/410.
  * Drop d/p/410-lp1961427.patch, included in the above rebase.
  * Replace 335.patch for ppc64el (P8) crc32 performance with 478.patch which
    supersedes it (https://github.com/madler/zlib/pull/478).
  * Forward-port lp1932010-ibm-z-add-vectorized-crc32-implementation.patch.
  * Dropped changes:
    - d/p/lp1932010-ibm-z-add-vectorized-crc32-implementation.patch: this
      patch depends on zlib upstream PR 335 which has been superseded by
      upstream PR 478 with significant refactoring.  Drop this patch,
      pending a port from IBM.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 15:57:28 -0800

zlib (1:1.2.13.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove non-DFSG sources for contrib/testzlib (closes: #1012674).
  * Policy 4.6.1 (no changes).

 -- Mark Brown <broonie@debian.org>  Sat, 05 Nov 2022 12:24:46 +0000
