=== debian/control ===
Source: zlib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mark Brown <broonie@debian.org>
Standards-Version: 4.6.1
Homepage: http://zlib.net/
Build-Depends: debhelper (>= 13), gcc-multilib [amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc s390x mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64 mips64el mips64r6 mips64r6el x32] <!nobiarch>, dpkg-dev (>= 1.16.1)

Package: zlib1g
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Priority: required
Conflicts: zlib1 (<= 1:1.0.4-7)
Breaks: libxml2 (<< 2.7.6.dfsg-2), texlive-binaries (<< 2009-12)
Provides: libz1
Description: compression library - runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the shared library.

Package: zlib1g-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: zlib1g (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Conflicts: zlib1-dev
Provides: libz-dev
Description: compression library - development
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the development support
 files.

Package: zlib1g-udeb
XC-Package-Type: udeb
Architecture: any
Priority: optional
Section: debian-installer
Description: compression library - runtime for Debian installer
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This minimal package includes the shared library
 for use with the Debian installer.

Package: lib64z1
Architecture: sparc s390 i386 powerpc mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
Build-Profiles: <!nobiarch>
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: amd64-libs (<< 1.4)
Description: compression library - 64 bit runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes a 64 bit version of the
 shared library.

Package: lib64z1-dev
Section: libdevel
Architecture: sparc s390 i386 powerpc mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
Build-Profiles: <!nobiarch>
Depends: lib64z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), lib64c-dev, ${misc:Depends}
Replaces: amd64-libs-dev (<< 1.4)
Provides: lib64z-dev
Description: compression library - 64 bit - DO NOT USE EXCEPT FOR PACKAGING
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the development support
 files for building 64 bit applications.
 .
 This package should ONLY be used for building packages, users who do
 not need to build packages should use multiarch to install the relevant
 runtime.

Package: lib32z1
Architecture: amd64 ppc64 kfreebsd-amd64 s390x
Build-Profiles: <!nobiarch>
Conflicts: libc6-i386 (<= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ia32-libs (<< 1.5)
Description: compression library - 32 bit runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes a 32 bit version of the
 shared library.

Package: lib32z1-dev
Section: libdevel
Architecture: amd64 ppc64 kfreebsd-amd64 s390x
Build-Profiles: <!nobiarch>
Conflicts: libc6-i386 (<= 2.9-18)
Depends: lib32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), lib32c-dev, ${misc:Depends}
Provides: lib32z-dev
Replaces: ia32-libs-dev (<< 1.5)
Description: compression library - 32 bit - DO NOT USE EXCEPT FOR PACKAGING
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the development support
 files for building 32 bit applications.
 .
 This package should ONLY be used for building packages, users who do
 not need to build packages should use multiarch to install the relevant
 runtime.

Package: libn32z1
Architecture: mips mipsel
Build-Profiles: <!nobiarch>
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: compression library - n32 runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes a n32 version of the shared
 library.

Package: libn32z1-dev
Section: libdevel
Architecture: mips mipsel
Build-Profiles: <!nobiarch>
Depends: libn32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), libn32c-dev, ${misc:Depends}
Provides: libn32z-dev
Description: compression library - n32 - DO NOT USE EXCEPT FOR PACKAGING
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the development support
 files for building n32 applications.
 .
 This package should ONLY be used for building packages, users who do
 not need to build packages should use multiarch to install the relevant
 runtime.

Package: libx32z1
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: compression library - x32 runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes a n32 version of the shared
 library.

Package: libx32z1-dev
Section: libdevel
Architecture: amd64 i386
Depends: libx32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), libc6-dev-x32, ${misc:Depends}
Provides: libx32z-dev
Description: compression library - x32 - DO NOT USE EXCEPT FOR PACKAGING
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the development support
 files for building n32 applications.
 .
 This package should ONLY be used for building packages, users who do
 not need to build packages should use multiarch to install the relevant
 runtime.
