## zlib 1.3.dfsg

=== debian/changelog ===
zlib (1:1.3.dfsg-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Build x32 packages
    - Add watch file, with GPG tarball checking, and version mangling
    - d/rules: Compile with DFLTCC enabled on s390x and hardware
      compression at level 6
    - d/zlib-core.symbols: Drop dfsg suffix from version
  * New patches rebased from iii-i/zlib/dfltcc on GitHub:
    - d/p/power/*: Add optimized crc32 for POWER8+
    - d/p/s390x/*: Add optimized crc32 and hardware deflate
  * Patches superseded by the above:
    - d/p/410.patch: Add support for IBM Z hardware-accelerated deflate
    - d/p/478.patch: Add optimized crc32 for Power 8+ processors
    - d/p/s390x-vectorize-crc32.patch: Add s390x vectorized crc32 support
    - d/p/1390.patch: Don't update strm.adler for raw streams on s390x
      (DFLTCC), otherwise libxml2 gets broken on s390x. LP #2002511
    - d/p/lp-2018293-fix-crash-in-deflateBound-if-called-before-deflateInt
      .patch: Avoid potential deflateBound() function crash on s390x

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 24 Nov 2023 08:22:52 +0000

zlib (1:1.3.dfsg-3) unstable; urgency=low

  * Update the version of texlive-binaries we break since they still had
    broken version checks (closes: #1056312).

 -- Mark Brown <broonie@debian.org>  Thu, 23 Nov 2023 13:02:20 +0000

zlib (1:1.3.dfsg-2) unstable; urgency=low

  * Install library into /usr (closes: #1055938).
  * Backport patch for minizip CVE-2023-45853 (closes: #1054290).

 -- Mark Brown <broonie@debian.org>  Fri, 17 Nov 2023 22:10:10 +0000

zlib (1:1.3.dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon, 06 Nov 2023 16:28:55 +0000

zlib (1:1.2.13.dfsg-3) unstable; urgency=low

  * Further fixes to the minizip integration, don't install the minizip
    headers in both -dev packages (closes: #1049384).

 -- Mark Brown <broonie@debian.org>  Tue, 15 Aug 2023 14:35:28 +0100

zlib (1:1.2.13.dfsg-2) unstable; urgency=low

  * Build minizip packages since for some reason the minizip upstream
    appears to have decided to release via zlib's contrib directiory
    and do nothing separate, patch from Michael Gilbert adapted to fix
    build issues (closes: #956181).

 -- Mark Brown <broonie@debian.org>  Tue, 15 Aug 2023 00:28:42 +0100
