=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 
 CFLAGS = `dpkg-buildflags --get CFLAGS` `dpkg-buildflags --get CPPFLAGS` -Wall -D_REENTRANT
 LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-EXTRA_MAKE =
 
 CONFIGURE_COMMON=--shared --prefix=/usr
 CONFIGURE_HOST=--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
@@ -100,6 +99,8 @@
 
 	AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" uname=GNU ./configure $(CONFIGURE_COMMON) $(CONFIGURE_HOST)
 
+	cd contrib/minizip && autoreconf -fis && CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" uname=GNU ./configure --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+
 	touch $@
 
 configure64-stamp: configure
@@ -149,7 +150,10 @@
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE) $(EXTRA_MAKE)
+	$(MAKE)
+
+	$(MAKE) -C contrib/minizip minizip miniunzip
+
 	-$(MAKE) test
 
 	touch $@
@@ -161,7 +165,7 @@
 
 build32-stamp: configure32-stamp
 	dh_testdir
-	make -C debian/32 $(EXTRA_MAKE)
+	make -C debian/32
 	touch $@
 
 buildn32-stamp: configuren32-stamp
@@ -177,6 +181,9 @@
 clean:
 	dh_testdir
 	dh_testroot
+
+	if [ -f contrib/minizip/Makefile ]; then $(MAKE) -C contrib/minizip clean; fi
+	cd contrib/minizip && rm -f compile config.* configure depcomp install-sh libtool Makefile Makefile.in aclocal.m4 ltmain.sh missing minizip.pc minizip miniunzip
 
 	$(MAKE) distclean
 
@@ -198,9 +205,8 @@
 
 	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install
 
-	install -d debian/tmp/lib/$(DEB_HOST_MULTIARCH)
-	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libz.so.* debian/tmp/lib/$(DEB_HOST_MULTIARCH)
-	ln -sf /lib/$(DEB_HOST_MULTIARCH)/$$(readlink debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libz.so) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libz.so
+	$(MAKE) -C contrib/minizip prefix=$(CURDIR)/debian/tmp/usr install
+	find contrib/minizip
 
 install64: install build64-stamp
 	$(MAKE) -C debian/64 prefix=$(CURDIR)/debian/tmp install
@@ -222,6 +228,9 @@
 binary-arch: build install $(EXTRA_INSTALL)
 	dh_testdir
 	dh_testroot
+	mkdir -p debian/tmp/usr/bin
+	cp contrib/minizip/.libs/minizip debian/tmp/usr/bin
+	cp contrib/minizip/.libs/miniunzip debian/tmp/usr/bin
 	dh_installchangelogs -a ChangeLog
 	dh_installdocs -a
 	dh_installexamples -a
@@ -232,6 +241,7 @@
 	dh_strip -a --dbgsym-migration="zlib1g-dbg (<< 1:1.2.11.dfsg-2~)"
 	dh_compress -a
 	dh_fixperms -a
+	dh_makeshlibs -plibminizip1 -V"libminizip1 (>> 1:1.2.13.dfsg-1)"
 	dh_makeshlibs -pzlib1g -V"zlib1g (>= 1:1.2.3.3.dfsg-1)" --add-udeb=zlib1g-udeb
 ifeq (,$(filter nobiarch,$(DEB_BUILD_PROFILES)))
 ifneq (,$(filter $(DEB_HOST_ARCH), $(32-ARCHS)))
