## zlib 1.3.dfsg%2Breally1.3.1

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: zlib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mark Brown <broonie@debian.org>
+Maintainer: Mark Brown <broonie@debian.org>
 Standards-Version: 4.6.1
 Homepage: http://zlib.net/
-Build-Depends: debhelper (>= 13), gcc-multilib [amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc s390x mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64 mips64el mips64r6 mips64r6el x32] <!nobiarch>, dpkg-dev (>= 1.16.1), autoconf
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 13), gcc-multilib [amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc s390x mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64 mips64el mips64r6 mips64r6el x32] <!nobiarch>, dpkg-dev (>= 1.16.1), autoconf
 
 Package: zlib1g
 Architecture: any
@@ -120,28 +119,6 @@
  not need to build packages should use multiarch to install the relevant
  runtime.
 
-Package: libx32z1
-Architecture: amd64 i386
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: compression library - x32 runtime
- zlib is a library implementing the deflate compression method found
- in gzip and PKZIP.  This package includes a n32 version of the shared
- library.
-
-Package: libx32z1-dev
-Section: libdevel
-Architecture: amd64 i386
-Depends: libx32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), libc6-dev-x32, ${misc:Depends}
-Provides: libx32z-dev
-Description: compression library - x32 - DO NOT USE EXCEPT FOR PACKAGING
- zlib is a library implementing the deflate compression method found
- in gzip and PKZIP.  This package includes the development support
- files for building n32 applications.
- .
- This package should ONLY be used for building packages, users who do
- not need to build packages should use multiarch to install the relevant
- runtime.
-
 Package: minizip
 Section: utils
 Architecture: any
@@ -158,7 +135,10 @@
  .
  This package includes the minizip and miniunzip tools.
 
-Package: libminizip1
+Package: libminizip1t64
+Provides: ${t64:Provides}
+Replaces: libminizip1
+Breaks: libminizip1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -178,7 +158,7 @@
 Section: libdevel
 Depends:
  ${misc:Depends},
- libminizip1 (= ${binary:Version})
+ libminizip1t64 (= ${binary:Version})
 Replaces:
  libkml-dev (<< 1.3.0~r864+git20150723-0fa2f22-1~),
 Breaks:
