## zlib 1.3.dfsg+really1.3.1

=== debian/changelog ===
zlib (1:1.3.dfsg+really1.3.1-3) unstable; urgency=low

  * Apply fixup for s390x removal from Helmut Grohne (closes: #1127743).

 -- Mark Brown <broonie@debian.org>  Mon, 16 Feb 2026 14:40:58 +0000

zlib (1:1.3.dfsg+really1.3.1-2) unstable; urgency=low

  * Stop building lib32z1 on s390x using patch from Aurelien Jarno
    <aurel32@debian.org>, due to an uncoordinated upload of gcc-defaults
    there will be some temporary problems with testing migration as
    things sort themselves out (closes: #1125669).
  * Flag that we support noudeb (closes: #1024936).
  * Enable autopkgtest using patch from Sahithi Akunuri
    <akunuri.sahithi@toshiba-tsip.com> (closes: #1113755).

 -- Mark Brown <broonie@debian.org>  Sat, 31 Jan 2026 12:50:16 +0000

zlib (1:1.3.dfsg+really1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri, 10 May 2024 10:32:36 +0100

zlib (1:1.3.dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063242

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:59:44 +0000
