=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,6 @@
 CFLAGS = `dpkg-buildflags --get CFLAGS` `dpkg-buildflags --get CPPFLAGS` -Wall -D_REENTRANT
 LDFLAGS = `dpkg-buildflags --get LDFLAGS`
 
-CONFIGURE_COMMON=--shared --prefix=/usr
-CONFIGURE_HOST=--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
-
 # binutils doesn't supply the prefixed version normally like GCC does so
 # we can't just unconditionally use DEB_HOST_GNU_TYPE-ar
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -39,24 +36,15 @@
 
 ifeq (,$(filter nobiarch,$(DEB_BUILD_PROFILES)))
 
-32-ARCHS=amd64 ppc64 kfreebsd-amd64 s390x
+32-ARCHS=amd64 ppc64 kfreebsd-amd64
 64-ARCHS=s390 sparc i386 powerpc mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
 
 ifneq (,$(filter $(DEB_HOST_ARCH), $(32-ARCHS)))
 EXTRA_INSTALL=install32
 EXTRA_BUILD=build32-stamp
-# s390x fails at compatibility.
-ifneq (,$(filter $(DEB_HOST_ARCH), s390x))
-m32=-m31
-CFLAGS += -DDFLTCC_LEVEL_MASK=0x7e
-CONFIGURE_COMMON += --dfltcc
-else
 m32=-m32
 endif
-endif
-
-ifneq (,$(filter s390x, $(DEB_HOST_ARCH)))
-else
+
 ifneq (,$(filter $(DEB_HOST_ARCH), $(64-ARCHS)))
 EXTRA_INSTALL=install64
 EXTRA_BUILD=build64-stamp
@@ -67,7 +55,6 @@
 m64=-m64
 endif
 endif
-endif
 
 N32-ARCHS=mips mipsel
 ifneq (,$(filter $(DEB_HOST_ARCH), $(N32-ARCHS)))
@@ -78,26 +65,19 @@
 
 endif # !nobiarch
 
-X32-ARCHS=amd64 i386
-ifneq (,$(findstring $(DEB_HOST_ARCH), $(X32-ARCHS)))
-EXTRA_INSTALL+=installx32
-EXTRA_BUILD+=buildx32-stamp
-mx32=-mx32
-endif
-
 UNALIGNED_ARCHS=i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 lpia
 ifneq (,$(filter $(DEB_HOST_ARCH), $(UNALIGNED_ARCHS)))
 CFLAGS+=-DUNALIGNED_OK
 endif
 
-COPYLIST=*.h *.c *.in zlib.map configure zlib.3 test contrib
+COPYLIST=*.h *.c *.in zlib.map configure zlib.3 test
 
 configure-stamp: configure
 	dh_testdir
 
 	if [ ! -f Makefile.stash ]; then cp Makefile Makefile.stash ; fi
 
-	AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" uname=GNU ./configure $(CONFIGURE_COMMON) $(CONFIGURE_HOST)
+	AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" uname=GNU ./configure --shared --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 	cd contrib/minizip && autoreconf -fis && CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" uname=GNU ./configure --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
@@ -110,7 +90,7 @@
 	cp -r $(COPYLIST) debian/64
 	cd debian/64 && AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc $(m64)" \
 	    CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	    uname=GNU ./configure $(CONFIGURE_COMMON) --libdir=\$${prefix}/usr/lib64
+	    uname=GNU ./configure --shared --prefix=/usr  --libdir=\$${prefix}/usr/lib64
 	touch $@
 
 configure32-stamp: configure
@@ -120,7 +100,7 @@
 	cp -r $(COPYLIST) debian/32
 	cd debian/32 && AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc $(m32)" \
 	    CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	    uname=GNU ./configure $(CONFIGURE_COMMON) --libdir=\$${prefix}/usr/lib32
+	    uname=GNU ./configure --shared --prefix=/usr --libdir=\$${prefix}/usr/lib32
 	touch $@
 
 configuren32-stamp: configure
@@ -130,17 +110,7 @@
 	cp -r $(COPYLIST) debian/n32
 	cd debian/n32 && AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc $(mn32)" \
 	    CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	    uname=GNU ./configure $(CONFIGURE_COMMON) --libdir=\$${prefix}/usr/lib32
-	touch $@
-
-configurex32-stamp: configure
-	dh_testdir
-
-	mkdir -p debian/x32
-	cp -r $(COPYLIST) debian/x32
-	cd debian/x32 && AR=$(AR) CC="$(DEB_HOST_GNU_TYPE)-gcc $(mx32)" \
-	    CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
-	    uname=GNU ./configure $(CONFIGURE_COMMON) --libdir=\$${prefix}/usr/libx32
+	    uname=GNU ./configure --shared --prefix=/usr --libdir=\$${prefix}/usr/lib32
 	touch $@
 
 build: build-arch build-indep
@@ -171,11 +141,6 @@
 buildn32-stamp: configuren32-stamp
 	dh_testdir
 	make -C debian/n32
-	touch $@
-
-buildx32-stamp: configurex32-stamp
-	dh_testdir
-	make -C debian/x32
 	touch $@
 
 clean:
@@ -191,7 +156,6 @@
 	rm -rf debian/64 build64-stamp configure64-stamp
 	rm -rf debian/32 build32-stamp configure32-stamp
 	rm -rf debian/n32 buildn32-stamp configuren32-stamp
-	rm -rf debian/x32 buildx32-stamp configurex32-stamp
 	-mv Makefile.stash Makefile
 	-mv zlibdefs.h.stash zlibdefs.h
 
@@ -216,9 +180,6 @@
 
 installn32: install buildn32-stamp
 	$(MAKE) -C debian/n32 prefix=$(CURDIR)/debian/tmp install
-
-installx32: install buildx32-stamp
-	$(MAKE) -C debian/x32 prefix=$(CURDIR)/debian/tmp install
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -241,7 +202,7 @@
 	dh_strip -a --dbgsym-migration="zlib1g-dbg (<< 1:1.2.11.dfsg-2~)"
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -plibminizip1 -V"libminizip1 (>> 1:1.2.13.dfsg-1)"
+	dh_makeshlibs -plibminizip1t64 -V"libminizip1t64 (>> 1:1.2.13.dfsg-1)"
 	dh_makeshlibs -pzlib1g -V"zlib1g (>= 1:1.2.3.3.dfsg-1)" --add-udeb=zlib1g-udeb
 ifeq (,$(filter nobiarch,$(DEB_BUILD_PROFILES)))
 ifneq (,$(filter $(DEB_HOST_ARCH), $(32-ARCHS)))
@@ -252,9 +213,6 @@
 endif
 ifneq (,$(filter $(DEB_HOST_ARCH), $(N32-ARCHS)))
 	dh_makeshlibs -plibn32z1 -V"libn32z1 (>= 1:1.2.3.3.dfsg-1)"
-endif
-ifneq (,$(findstring $(DEB_HOST_ARCH), $(X32-ARCHS)))
-	dh_makeshlibs -plibx32z1 -V"libx32z1 (>= 1:1.2.3.3.dfsg-1)"
 endif
 endif
 	dh_installdeb -a
