=== debian/tests/control ===
Tests: example, infcover, minigzip
Depends: @, gcc
Restrictions: allow-stderr, build-needed
